// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AI64SSC750K/driver/open.c $
// $Rev: 47250 $
// $Date: 2020-05-18 17:41:38 -0500 (Mon, 18 May 2020) $

// 18AI64SSC750K: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_open(dev_data_t* dev)
{
	int	ret;

	ret	= dev_io_open(dev);

	if (ret == 0)
		ret	= gsc_dma_open(dev, 0);

	if (ret == 0)
		ret	= gsc_irq_open(dev, 0);

	if (ret == 0)
		initialize_ioctl(dev, NULL);

	if (ret)
		dev_close(dev);

	return(ret);
}


