// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AI64SSC750K/utils/util_count.c $
// $Rev: 53322 $
// $Date: 2023-07-05 16:08:44 -0500 (Wed, 05 Jul 2023) $

// 18AI64SSC750K: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	ai64ssc750k_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely.
*
*		get		The results are reported here. This may be NULL.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int ai64ssc750k_count_boards(int verbose, int* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, ai64ssc750k_open, ai64ssc750k_read, ai64ssc750k_close);
	return(errs);
}



